System.ServiceModel 4.0.0.0 System.ServiceModel.Channels.StreamUpgradeAcceptor

This class is used with and to implement a security stream upgrade.

For a detailed description of the upgrade process, see .

To implement a custom security upgrade acceptor, inherit from this abstract base class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.ServiceModel.Security.SecurityMessageProperty

  This information is useful for implementing a stream-level authentication mechanism based on the identities provided in the security context.

  Gets the security message property provided on the stream for performing custom security negotiation based on the information provided in the security context.

  Returns the .